package cn.estsh.i3plus.core.api.iservice.base;

import cn.estsh.i3plus.pojo.model.report.TemplateModel;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 自定义报表服务
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2019-01-20 16:04
 * @Modify:
 **/
public interface IReportService {

    /**
     * 自定义HQL 安全检查
     * @param hql
     */
    @ApiOperation(value = "HQL 入侵检查",notes = "入侵检查")
    void checkReportHQL(String hql);

    /**
     * 执行 HQL
     * @param model HQL Model
     * @return 查询结果集
     * @throws Exception 运行异常
     */
    @ApiOperation(value = "HQL 执行",notes = "执行 HQL")
    List selectTemplateModel(TemplateModel model) throws Exception;
}
