package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.bean.SysUser;
import io.swagger.annotations.ApiOperation;

import javax.transaction.Transactional;
import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-02-20 21:23
 * @Modify:
 **/
public interface ITestService {

    @ApiOperation(value = "多表查询")
    List<Object> queryToolAndToolType(Pager pager);

    @ApiOperation(value = "条件查询")
    public ListPager<SysUser> querySysUserByPager(SysUser user, Pager pager);

    @ApiOperation(value = "in条件封装查询")
    List<SysUser> querySysUserByPack(DdlPackBean packBean);

    @ApiOperation(value = "添加用户")
    void insertSysUser(SysUser sysUser);

    @ApiOperation(value = "修改用户")
    void updateSysUser(SysUser sysUser);

    @ApiOperation(value = "查询用户")
    List<SysUser> listSysUser();

    @ApiOperation(value = "读写分离测试写")
    @Transactional
    void write();
}
